Example shows Vuejs multi-series chart that can be used to show multiple dataseries (datasets) in a single chart.
/* App.vue */
<script>
import * as CanvasJS from '@canvasjs/charts';
export default {
data() {
return {
chart: null,
options: {
animationEnabled: true,
exportEnabled: true,
title:{
text: "Population Pyramid - United Kingdom",
fontFamily: "Tahoma, Verdana, sans-serif"
},
axisY: {
labelFormatter: (e) => {
var suffixes = ["", "K", "M", "B"];
var order = Math.max(Math.floor(Math.log(Math.abs(e.value)) / Math.log(1000)), 0);
if(order > suffixes.length - 1)
order = suffixes.length - 1;
var suffix = suffixes[order];
return Math.abs(e.value) / Math.pow(1000, order) + suffix;
}
},
toolTip: {
shared: true,
contentFormatter: (e) => {
var content = "<span style='font-weight: bold;'>Age Group: " + e.entries[0].dataPoint.label + "</span><br/>";
for (var i = 0; i < e.entries.length; i++) {
content += "<span style='color:" + e.entries[i].dataSeries.color +"'>" + e.entries[i].dataSeries.name + "</span>: " + CanvasJS.formatNumber(Math.abs(e.entries[i].dataPoint.y), "#,##0.##");
content += "<br/>";
}
return content;
}
},
legend: {
verticalAlign: "top"
},
data: [{
type: "stackedBar",
showInLegend: true,
name: "♂️Male",
legendMarkerType: "none",
color: "#00a6ed",
dataPoints: [
{ label: "0-4", y: -2009363},
{ label: "5-9", y: -2108550},
{ label: "10-14", y: -2022370},
{ label: "15-19", y: -1880611},
{ label: "20-24", y: -2072674},
{ label: "25-29", y: -2275138},
{ label: "30-34", y: -2361054},
{ label: "35-39", y: -2279836},
{ label: "40-44", y: -2148253},
{ label: "45-49", y: -2128343},
{ label: "50-54", y: -2281421},
{ label: "55-59", y: -2232388},
{ label: "60-64", y: -1919839},
{ label: "65-69", y: -1647391},
{ label: "70-74", y: -1624635},
{ label: "75-79", y: -1137438},
{ label: "80-84", y: -766956},
{ label: "85-89", y: -438663},
{ label: "90-94", y: -169952},
{ label: "95-99", y: -34524},
{ label: "100+", y: -3016}
]
}, {
type: "stackedBar",
showInLegend: true,
name: "♀️Female",
legendMarkerType: "none",
color: "#f70a8d",
dataPoints: [
{ label: "0-4", y: 1915127 },
{ label: "5-9", y: 2011016 },
{ label: "10-14", y: 1933970 },
{ label: "15-19", y: 1805522 },
{ label: "20-24", y: 2001966 },
{ label: "25-29", y: 2208929 },
{ label: "30-34", y: 2345774 },
{ label: "35-39", y: 2308360 },
{ label: "40-44", y: 2159877 },
{ label: "45-49", y: 2167778 },
{ label: "50-54", y: 2353119 },
{ label: "55-59", y: 2306537 },
{ label: "60-64", y: 1985177 },
{ label: "65-69", y: 1734370 },
{ label: "70-74", y: 1763853 },
{ label: "75-79", y: 1304709 },
{ label: "80-84", y: 969611 },
{ label: "85-89", y: 638892 },
{ label: "90-94", y: 320625 },
{ label: "95-99", y: 95559 },
{ label: "100+", y: 12818 }
]
}]
},
styleOptions: {
width: "100%",
height: "360px"
}
}
},
methods: {
chartInstance(chart) {
this.chart = chart;
}
}
}
</script>
<template>
<CanvasJSChart :options="options" :style="styleOptions" @chart-ref="chartInstance"/>
</template>
You can customize the color of dataseries by setting color property. You can also enable legends using showInLegend to show what each line in chart represents.
Note For step by step instructions, follow our Vuejs Integration Tutorial

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming / Panning
    • Chart using JSON Data
    • Chart with Animation
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Crosshair
    • Chart with Scale Breaks
    • Chart with Logarithmic Axis
    • Performance with 50,000 Data Points
    • Responsive Charts
    • Chart with Drilldown
  • LINE CHARTS
    • Line Chart with Formatted Axes Labels
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Stacked Bar 100% Chart with Indexlabel
  • COLUMN CHARTS
    • Column Chart with Category Axis
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with Indexlabel
    • Waterfall Chart
    • Waterfall Chart with Indexlabel
  • AREA CHARTS
    • Area Chart with Date-Time Axis
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • PIE & DOUGHNUT CHARTS
    • Pie Chart with Indexlabels
    • Pie Chart with Index Labels Placed Inside
    • Doughnut Chart
    • Doughnut Chart in Dark Theme
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart
    • Funnel Chart with Custom Neck
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Candlestick Chart from JSON
    • OHLC Chart
    • OHLC with Trendline
    • Box and Whisker Chart
    • Box and Whisker Chart with Customization
  • BUBBLE & SCATTER CHARTS
    • Scatter Chart
    • Scatter Chart with Custom Markers
    • Bubble Chart
  • COMBINATION CHARTS
    • Error chart
    • Error Line Chart
    • Pareto Chart
    • Combination of Column, Line and Area Chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with SplineArea & Range Selector
  • ANGULAR, VUE.JS, JAVASCRIPT, JQUERY
    • Angular Charts
    • Vue.js Charts
    • jQuery Charts
    • JavaScript Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • PHP Charts
    • Python Charts
    • JSP Charts
    • Spring MVC Charts

React Multi Series Chart

Download React Chart Samples
  • React Chart Samples
  • JavaScript Chart Samples
  • Angular Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

React Multi Series Charts allow rendering more than one data-series in a single chart that makes data analysis easier. You can render multi-series chart with line, column, area, etc, except for pie, doughnut, funnel and pyramid. Given example shows react multi-series line chart along with source code that you can try running locally.

  • React Code
/* App.js */
import React, { Component } from 'react';
import CanvasJSReact from '@canvasjs/react-charts';
//var CanvasJSReact = require('@canvasjs/react-charts');

var CanvasJS = CanvasJSReact.CanvasJS;
var CanvasJSChart = CanvasJSReact.CanvasJSChart;

class App extends Component {	
	render() {
		const options = {
				animationEnabled: true,	
				title:{
					text: "Number of New Customers"
				},
				axisY : {
					title: "Number of Customers"
				},
				toolTip: {
					shared: true
				},
				data: [{
					type: "spline",
					name: "2016",
					showInLegend: true,
					dataPoints: [
						{ y: 155, label: "Jan" },
						{ y: 150, label: "Feb" },
						{ y: 152, label: "Mar" },
						{ y: 148, label: "Apr" },
						{ y: 142, label: "May" },
						{ y: 150, label: "Jun" },
						{ y: 146, label: "Jul" },
						{ y: 149, label: "Aug" },
						{ y: 153, label: "Sept" },
						{ y: 158, label: "Oct" },
						{ y: 154, label: "Nov" },
						{ y: 150, label: "Dec" }
					]
				},
				{
					type: "spline",
					name: "2017",
					showInLegend: true,
					dataPoints: [
						{ y: 172, label: "Jan" },
						{ y: 173, label: "Feb" },
						{ y: 175, label: "Mar" },
						{ y: 172, label: "Apr" },
						{ y: 162, label: "May" },
						{ y: 165, label: "Jun" },
						{ y: 172, label: "Jul" },
						{ y: 168, label: "Aug" },
						{ y: 175, label: "Sept" },
						{ y: 170, label: "Oct" },
						{ y: 165, label: "Nov" },
						{ y: 169, label: "Dec" }
					]
				}]
		}
		
		return (
		<div>
			<CanvasJSChart options = {options} 
				/* onRef={ref => this.chart = ref} */
			/>
			{/*You can get reference to the chart instance as shown above using onRef. This allows you to access all chart properties and methods*/}
		</div>
		);
	}
}

export default App;                              

Chart Customizations

You can use showInLegend property to enhance the chart readability. Also try setting tooltip's shared property to true to enable a common tooltip across multiple dataSeries.

Note   For step by step instructions, follow our React Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers